#include <bits/stdc++.h>
using namespace std;
typedef long long ll;
int main()
{
    int T;
    ll n, k;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%lld%lld", &n, &k);
        if (k == 1)
            printf("%lld\n", array<ll, 4>({n, 1, n + 1, 0})[n & 3]);
        else
        {

        }
    }
    return 0;
}